Subject: Announcing beta release of Diskquotas (1.3)
From: Marco van Wieringen <[email-masked]>
Date: 6 Feb 1994 22:20:45 +0200
Newsgroups: comp.os.linux.announce

Hi,

Announcing QUOTA-1.3. Diskquotas for the Linux operating system.
This is a beta-release. Because of release of pl15 I decided to
release this as a beta release. The code has changed quite a bit
and I tested it as good as I could, but now I need some other
people to test it.

I'm proud to announce the fourth and much improved release of
diskquotas for the LINUX O.S. Ok I say this all the time but this
time its really true, thing have changed drastic and hopefully
for the best. This release makes the quota-1.2 package obsolete.
For people going from the 1.2 release to the 1.3 release, don't
panic the quotafile structure hasn't changed and is still
compatible with the BSD quotasystem. The internal implementation
has changed much. We now use pointer within the inodes of the OS.
For the user there doesn't change much, ok I think its faster
for writing large amounts of data to a file.

The utils included in the package are mostly ported commands from BSD
sources with some modifications by me because of little differences
between BSD and LINUX as of the implementation of the standard things.
Most changes are related to changing the code to use mntent structs 
instead of fstab structs. They main new program was the quotacheck
program. Because the BSD quota stuff is only usable for ufs-filesystems
we had to write that one from scratch. This one is a user-level one
that doesn't use raw-device info but readdir to walk trough the
filesystem-tree. It seems to be quite fast even on IDE-disks.

In this release there is also included a rquota program to query
for quota on linux-machines from which you mount your disks. I wrote
this from scratch and so don't know if it compatible with the other
implementations floating arround. The main difference is that we have
two kind of quota so I hacked the rquota.x file to allow us to use
those two kinds of quota. I changed it this time to only use udp
traffic. It sends things of about 40 bytes so setting up a tcp
connection for that is a bit to much overkill.

The package contains :
	- kernel diffs for 0.99pl15 source tree
	  (Please read the file README on how to install !)
        - a tar file with the sources for the new fs-dir.
          (This are reformated and partly rewritten sources of 
           the normally distributed fs-dir.)
	- quotaon/quotaoff program (ported from BSD)
	- edquota program (ported from BSD)
	- repquota program (ported from BSD)
	- quota program (ported from BSD)
          (Can query remote machines for quota for NFS mounted disks)
	- quotacheck program
	- rquota programs

I probably forgot something but if you want more info read the files
README and Changelog.

Authors of this quota implementation

Marco van Wieringen <[email-masked]> | <[email-masked]>
Edvard Tuinder  <[email-masked]> | <[email-masked]>

And a special address for bugs and diffs
[email-masked]

And more important where to find it :

sunsite.unc.edu:/pub/Linux/Incoming/quota1-3.tgz
nic.funet.fi:/pub/OS/linux/Incoming/quota1-3.tgz

-- 
Marco van Wieringen			<[email-masked]>	<[email-masked]>

--
Mail submissions for comp.os.linux.announce to: [email-masked]
PLEASE remember Keywords: and a short description of the software.